#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QGraphicsView>
#include <QGraphicsScene>
#include <QGraphicsProxyWidget>
#include <QScrollBar>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QGraphicsScene *scene = new QGraphicsScene();
    ui->GraphicsView->setScene(scene);

    mScrollBar = new QScrollBar();
    mScrollBar->setFocusPolicy( Qt::NoFocus );

    QGraphicsProxyWidget *proxyWidget = new QGraphicsProxyWidget();
    proxyWidget->setWidget( mScrollBar );
    proxyWidget->setFocusPolicy( Qt::NoFocus );
    proxyWidget->setVisible( true );

    scene->addItem(proxyWidget);
    startTimer(1000);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::timerEvent(QTimerEvent *evt)
{
    bool value = !mScrollBar->isVisible();
    mScrollBar->setVisible(value);
}
